> For the complete documentation index, see [llms.txt](https://docs.digiledge.in/untitled/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digiledge.in/untitled/bbps/bbps-biller-integration/bbps-api-list/bill-validate-api/billvalidation-response-endpoint.md).

# BillValidation Response Endpoint

<mark style="color:blue;">**Biller server to Biller Protocol**</mark>

**Request:** POST /BillValidationResponse

<mark style="color:blue;">**Request ParametersLE**</mark>

**The various parameters are explained below:**

| Parent Property/Element                    | Property/Element Name | Mandatory | Data Type                               | Description                                                                                                                                                                                                    |
| ------------------------------------------ | --------------------- | --------- | --------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **\[ROOT]** (No parent property / element) | refId                 | M         | String                                  | Unique identification assigned by the initiating BBPOU to unambiguously identify the transaction which is passed on, unchanged, throughout the entire end-to-end chain, binding the Fetch and Payment messages |
|                                            | errorCode             | C         | String                                  | <p>Carries the compliance code indicating the reason for a failed</p><p>transaction – not required for a successful transaction</p>                                                                            |
|                                            | errorDescription      | C         | String                                  | <p>Description of the compliance code – not required for a</p><p>successful transaction</p>                                                                                                                    |
|                                            | status                | M         | String Min Length – 1, Max Length – 100 | Status of given request                                                                                                                                                                                        |
|                                            | additionalInfo        | M         | Array                                   | Additional information parameters sent by the Biller supporting fetch is copied in the payment request.                                                                                                        |
|                                            | tenantId              | M         | String Fixed length - 4                 | OU ID of request originating BOU                                                                                                                                                                               |

<mark style="color:blue;">**Expected Acknowledgement Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                    | Property/Element Name | Mandatory | Data Type                               | Description                 |
| ------------------------------------------ | --------------------- | --------- | --------------------------------------- | --------------------------- |
| **\[ROOT]** (No parent property / element) | reason                | M         | String Min Length – 1, Max Length – 100 | Reason of the Status        |
|                                            | code                  | M         | String Fixed Length 3                   | Response code for a request |
|                                            | status                | M         | String Min Length – 1, Max Length – 100 | Status of given request     |

<mark style="color:blue;">**Json Formatted ResponseExample**</mark>

```json
    
    {
    "refId":"String", "errorCode": "String", "errorDescription": "String", "status": "String", "additionalInfo": [
    {
    "name": "String",
    "value": "String"
    }
    ],
    "tenantId" : "String"
    }
```

<mark style="color:blue;">**Json Formatted Response Example**</mark>

```json

    {
    "reason":"String",
    "code":"Integer", "status":"String"
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-biller-integration/bbps-api-list/bill-validate-api/billvalidation-response-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
